<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\UpdateTeilnehmer\HandleTeilnehmerUpdate;

class HandleTeilnehmerUpdateController extends \Kufer\KuferTools\Basis\TeilnehmerInfo\UpdateTeilnehmer\HandleTeilnehmerUpdate\HandleTeilnehmerUpdateController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleTeilnehmerUpdateUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return HandleTeilnehmerUpdateUseCase::getToolId();
  }

  protected function getToolSectionId()
  {
    return HandleTeilnehmerUpdateUseCase::getToolSectionId();
  }

  protected function getUser()
  {
    return HandleTeilnehmerUpdateUseCase::getUser();
  }
}